Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
Public Class IntrastatParameters
    Inherits BaseObject

    Private _CustomersFrom As CustomersFrom
    Private _NumberGenerator As NumberGenerator
    Private _Report As ReportData

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <RuleRequiredField("IntrastatParameters - CustomersFrom", DefaultContexts.Save)> _
    Property CustomersFrom As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    <RuleRequiredField("IntrastatParameters - NumberGenerator", DefaultContexts.Save)> _
    Property NumberGenerator As NumberGenerator
        Get
            Return _NumberGenerator
        End Get
        Set(value As NumberGenerator)
            SetPropertyValue("NumberGenerator", _NumberGenerator, value)
        End Set
    End Property

    Public Property Report() As ReportData
        Get
            Return _Report
        End Get
        Set(value As ReportData)
            SetPropertyValue("Report", _Report, value)
        End Set
    End Property


End Class
